Returns a list of time bookings.

GEThttps://api.awork.com/api/v1/timebookings
GET https://api.awork.com/api/v1/timebookings

Returns a list of time bookings. Each booking includes its project, user, and tracked duration.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

userIdstringOptional
format: uuid

The id of the user this time booking is for.

projectIdstring or nullOptional
format: uuid

(optional) The id of the project this time booking is for.

startDatestringOptional
format: date

The start date of the time booking.

endDatestringOptional
format: date

The end date of the time booking.

durationintegerOptional
format: int32

The planned duration, expressed in seconds, of this time booking.

descriptionstring or nullOptional

The optional description for this time booking.

laneOrderintegerOptional
format: int32

The order in which this object should be shown in the timeline (row number). Used by the awork web app.

isAnonymizedboolean or nullOptional

This will be true if the user doesn't have access to the project. In that case the description will be shadowed.

Search documentation